<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Quotation extends Model
{
    use SoftDeletes;
    // RELATIONS

    public function expenses()
    {
        return $this->hasMany(QuotationExpense::class, 'quotation_id', 'id');
    }

    function account()
    {
        return $this->morphTo();
    }

    public function buyer()
    {
        return $this->hasOne(OtherAccountBuyer::class, 'invoice_no', 'quotation_no');
    }
}
