<?php $__env->startSection('content'); ?>





    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-1">
                <div class="col-md-6">
                    <h6 class="card-title mb-4 titlcust">View Payment Voucher</h6>
                </div>
                <div class="col-md-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Payment Voucher</h6>
                    <br>



                  


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table class="table table-bordered dt-responsive nowrap">
                            <tr>
                                <td>
                                    <table class="table table-bordered dt-responsive nowrap">
                                        <tr>
                                            <td>
                                                <?php if(!empty(($companyLogo = auth()->user()->company_logo))): ?>
                                                <div class="col-md-12 d-flex align-items-center justify-content-center">
                                                    <img src="<?php echo e(asset('storage/app/public/' . $companyLogo)); ?>" class="img-fluid"
                                                        alt="logo" width="700px">
                                                    </div>
                                                <?php else: ?>
                                                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                                                        <img src="<?php echo e(asset('assets/images/acp-logo.png')); ?>" class="img-fluid" alt="logo"
                                                            width="700px">
                                                    </div>
                                                <?php endif; ?>
                                            </td>
                                            <td colspan="2">
                                                <div class="row">
                                                    <div class="col-md-12 ">
                                                        <label>Company Name :</label>
                                                        <span><?php echo e($company->name); ?></span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Branch Name :</label>
                                                        <span><?php echo e(session()->get('branch')->name); ?></span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Branch Address :</label>
                                                        <span><?php echo e(session()->get('branch')->address); ?></span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Company Country :</label>
                                                        <span><?php echo e($company->country); ?></span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Company CR Number :</label>
                                                        <span><?php echo e($company->cr_number); ?></span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Company Vat Number :</label>
                                                        <span><?php echo e($company->vat_number); ?></span>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <h5>Buyer</h5>
                                                    </div>
                                                    
                                                        
                                                    
                                                </div>
                                            </td>


                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    <table class="table table-bordered dt-responsive nowrap">
                                        <tr>
                                            <td>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <label>Purchase Invoice # :</label>
                                                        <span><?php echo e($paymentVoucher[0]->invoice_no); ?></span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>Mode/Term of Payment :</label>
                                                        <span><?php echo e($paymentVoucher[0]->term_of_payment); ?></span>
                                                    </div>

                                                    <div class="col-md-12">
                                                        <label>Date :</label>
                                                        <span><?php echo e($paymentVoucher[0]->date); ?></span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>LPO Number(Supplier) :</label>
                                                        <span><?php echo e($paymentVoucher[0]->lpo_no); ?></span>
                                                    </div>

                                                    <div class="col-md-12">
                                                        <label>Purchase Order Number :</label>
                                                        <span><?php echo e($paymentVoucher[0]->po_no ?? ''); ?></span>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <label>LPO(DUE DAYS) :</label>
                                                        <span><?php echo e($paymentVoucher[0]->lpo_days); ?></span>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>

                                </table>
                                </td>
                            </tr>
                        </table>
                    </div>

                    <br>

                    <div class="row">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>S No.</th>
                                        <th>Account Name</th>
                                        <th>Amount</th>
                                        <th>BillWise/OnAccount</th>
                                        <th>Select Invoice</th>
                                    </tr>
                                </thead>

                                <tbody id="table-body">
                                    <?php $__empty_1 = true; $__currentLoopData = $paymentVoucher; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <?php $__empty_2 = true; $__currentLoopData = $rv->expense; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                            <tr>
                                                <td><?php echo e($key + 1); ?></td>
                                                <td>
                                                    <p>
                                                        <?php if(isset($expense->account)): ?>
                                                            <?php echo e($expense->account->name_of_organisation ?? $expense->account->account_name); ?>

                                                        <?php endif; ?>
                                                    </p>

                                                </td>
                                                <td>
                                                    <p><?php echo e($expense->amount); ?></p>
                                                </td>
                                                <td>
                                                    <p><?php echo e($expense->bill_wise_id); ?></p>
                                                </td>
                                                <td>
                                                    <p><?php echo e($expense->inovice_id); ?></p>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                    <tr>
                                        <td></td>
                                        <td>Grand Total</td>
                                        <td id="grand-total"></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Ladjure</td>
                                        <td><?php echo e($paymentVoucher[0]->expense->sum('expense_amount')); ?></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Total Amount</td>
                                        <td id="total-amount">
                                            <?php echo e($paymentVoucher[0]->expense->sum('expense_amount') + $paymentVoucher[0]->expense->sum('amount')); ?>

                                        </td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>



                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <label for="name">Amount in Words:</label>
                            <span id="total_net_amount_words"></span>
                        </div>

                    </div>
                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amount
            let totalAmount = 0;
            let grandAmount = 0;

            // Extract receipt voucher data from Blade's inline PHP
            const paymentVoucher = <?php echo json_encode($paymentVoucher, 15, 512) ?>;

            // Loop through receipt voucher expenses to calculate total amount
            paymentVoucher.forEach(function(rv) {
                rv.expense.forEach(function(expense) {
                    const amount = parseFloat(expense.amount);
                    const expenseAmount = parseFloat(expense.expense_amount);
                    grandAmount += amount;
                    totalAmount += amount;
                    totalAmount += expenseAmount;
                });
            });

            // Update the grand total element with the calculated total amount
            document.getElementById("grand-total").textContent = grandAmount.toFixed(2);

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(totalAmount.toFixed(
                <?php echo e(session()->get('branch')->currency_decimal); ?>));
            $('#total_net_amount_words').text(totalNetAmountWords);
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_payment_voucher/view.blade.php ENDPATH**/ ?>