<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Quotation</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="<?php echo e(route('crusher.quotations.create')); ?>">
                                <button class="btn btn-cust1 float-right" type="submit">Create
                                    Quotation</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Quoattaion Number</th>
                                    <th>Account Name</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $quotations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quotation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    
                                    
                                    <tr>
                                        <td><?php echo e($quotation->date); ?></td>
                                        <td><?php echo e($quotation->quotation_no); ?></td>
                                        <td><?php echo e($quotation->account->name_of_organisation ?? ($quotation->account->account_name ?? $quotation->account->first_name . ' ' . $quotation->account->last_name)); ?>

                                        </td>
                                        
                                        <?php if(!$quotation->trashed()): ?>
                                        <td><?php echo e(number_format($quotation->total_gross_amount, session('branch')->currency_decimal)); ?></td>
                                        <?php else: ?>
                                            <td>-</td>
                                        <?php endif; ?>
                                        <td>
                                            <a
                                                href="<?php echo e(route('crusher.quotations.show', ['quotation' => $quotation->id])); ?>">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            <?php if(!$quotation->trashed()): ?>
                                                <a
                                                    href="<?php echo e(route('crusher.quotations.edit', ['quotation' => $quotation->id])); ?>">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                <form
                                                    action="<?php echo e(route('crusher.quotation.delete', ['quotation' => $quotation->id])); ?>"
                                                    method="POST" class="d-inline">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                                <a href="<?php echo e(route('crusher.delivery_notes.create', ['quotation_no' => $quotation->quotation_no])); ?>"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        DO</button>
                                                </a>
                                                <a href="<?php echo e(route('crusher.admin_sales_invoice.create', ['quotation_no' => $quotation->quotation_no])); ?>"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        Sale Invoice</button>
                                                </a>
                                            <?php else: ?>
                                                <span class="text-danger">Deleted</span>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/trans_quotation/index.blade.php ENDPATH**/ ?>