<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">

                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Profit & Loss Reports</h6>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                            </h6>
                            <h6 class="">Date: <span><?php echo e($from_date); ?></span> To <span><?php echo e($to_date); ?></span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>
                            </div>
                        </div>
                    </div>
                    <div class=" mt-3 row">

                        <div class="col-md-3">
                            <div class="form-group">
                                <label class="control-label">Select View Type</label>
                                <select class="form-control" id="myDropdown"
                                    onchange="myFunction()">
                                    <option value="hide">Condense View</option>
                                    <option value="show">Detail View</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                        </div>
                        <div class="col-md-3">
                        </div>
                        <div class="col-md-3">
                        </div>

                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Particulars</th>
                                            <th>Amounts</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                            <tr class="td-drak-bg">
                                                <td colspan="3"><strong>Trading Account :</strong></td>
                                            </tr>

                                            <tr class="detailsView">
                                                <td>Sales</td>
                                                <td>
                                                    <?php echo e(number_format($AllSaleTotals, session('branch')->currency_decimal)); ?>

                                                </td>
                                                <td></td>

                                            </tr>
                                            <tr>
                                                <td><strong>Sales Accounts</strong></td>
                                                <td></td>
                                                <td>
                                                    <strong><?php echo e(number_format($AllSaleTotals, session('branch')->currency_decimal)); ?></strong>
                                                </td>
                                            </tr>

                                                <?php if($allOpeningStock): ?>
                                                    <tr>
                                                        <td>Opening Stock</td>
                                                        <td><?php echo e(number_format($allOpeningStock, session('branch')->currency_decimal)); ?></td>
                                                        <td></td>
                                                    </tr>
                                                <?php endif; ?>
                                                <tr>
                                                <td>(+) Purchase Accounts</td>
                                                <td>
                                                <strong><?php echo e(number_format($AllPurchaesTotals, session('branch')->currency_decimal)); ?></strong>
                                                </td>
                                                <td></td>
                                                </tr>
                                                <tr>

                                                <?php if($allClosingStock): ?>
                                                    <tr>
                                                        <td>(-) Closing Stock</td>
                                                        <td><?php echo e(number_format($allClosingStock, session('branch')->currency_decimal)); ?></td>
                                                        <td></td>
                                                    </tr>
                                                <?php endif; ?>
                                                <?php

                                                    $costOfSales =  ($allOpeningStock + $AllPurchaesTotals) - $allClosingStock;

                                                    $GrossAmount = $AllSaleTotals - abs($costOfSales);

                                                ?>
                                                <tr>
                                                    <td colspan="2"><strong>Cost of Sales :</strong></td>
                                                    <td><strong><?php echo e(($costOfSales < 0) ? '(-)' : ''); ?><?php echo e(number_format(abs($costOfSales), session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                                <tr>
                                                <tr>
                                                    <td colspan="2"><strong class="<?php echo e(($GrossAmount < 0) ? 'text-danger' : ''); ?>"><?php echo e(($GrossAmount >= 0) ? 'Gross Profit' : 'Gross Loss'); ?> :</strong></td>
                                                    <td><strong class="<?php echo e(($GrossAmount < 0) ? 'text-danger' : ''); ?>"><?php echo e(($GrossAmount < 0) ? '(-)' : ''); ?><?php echo e(number_format(abs($GrossAmount), session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                                </tr>


                                                <tr class="td-drak-bg">
                                                    <td colspan="3"><strong><span>Income Statement :</span></strong></td>
                                                </tr>

                                                <?php
                                                    $incomeTotalCB = 0;
                                                ?>
                                                <?php $__currentLoopData = $incomeTotalClosingBalance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountName => $closingBalance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr class="detailsView">
                                                        <td><?php echo e($accountName); ?></td>
                                                        <td><?php echo e(number_format(abs($closingBalance), session('branch')->currency_decimal)); ?></td>
                                                        <td></td>
                                                    </tr>
                                                    <?php
                                                        $incomeTotalCB += -$closingBalance;
                                                    ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <tr class="td-drak-bg">
                                                    <td colspan="2"><strong>Income</strong></td>
                                                    <td><strong><?php echo e(number_format(abs($incomeTotalCB), session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                                <?php
                                                    $GrossPlusIncom = $GrossAmount + $incomeTotalCB
                                                ?>
                                                <tr>
                                                    <td colspan="2"></td>
                                                    <td><strong><?php echo e(number_format(abs($GrossPlusIncom), session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                                <?php
                                                    $expenseTotalCB = 0;
                                                ?>
                                                <?php $__currentLoopData = $expenseTotalClosingBalance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountName => $closingBalance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr class="detailsView">
                                                        <td><?php echo e($accountName); ?></td>
                                                        <td><?php echo e(number_format($closingBalance, session('branch')->currency_decimal)); ?></td>
                                                        <td></td>
                                                    </tr>
                                                    <?php
                                                        $expenseTotalCB += $closingBalance;
                                                    ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                                <tr class="td-drak-light">
                                                    <td><strong>Expenses</strong></td>
                                                    <td></td>
                                                    <td><strong><?php echo e(number_format($expenseTotalCB, session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                            <?php
                                                $totalExpense = 0;
                                            ?>
                                            <?php
                                                $netProfit = $GrossPlusIncom - $expenseTotalCB;
                                            ?>

                                             
                                            <tr>
                                                <td colspan="2"><strong class="<?php echo e(($netProfit < 0) ? 'text-danger' : ''); ?>"><?php echo e(($netProfit >= 0) ? 'Net Profit' : 'Net Loss'); ?> :</strong></td>
                                                <td><strong class="<?php echo e(($netProfit < 0) ? 'text-danger' : ''); ?>"><?php echo e(($netProfit < 0) ? '(-)' : ''); ?><?php echo e(number_format(abs($netProfit), session('branch')->currency_decimal)); ?></strong></td>
                                            </tr>
                                            
                                    </tbody>
                                </table>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            var detailsViews = document.querySelectorAll(".detailsView");

            detailsViews.forEach(function(detailsView) {
                detailsView.style.display = "none";
            });
        });

        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var detailsViews = document.querySelectorAll(".detailsView");

            if (dropdown.value === "hide") {
                detailsViews.forEach(function(detailsView) {
                    detailsView.style.display = "none";
                });
            } else {
                detailsViews.forEach(function(detailsView) {
                    detailsView.style.display = "table-row";
                });
            }
        }
    </script>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/profits-and-loss-report.blade.php ENDPATH**/ ?>