<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Sale Report
                            </h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="#" class="outer-repeater">


                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>From Date</label>
                                    <input class="form-control" type="date" id="fromDate" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>To Date</label>
                                    <input class="form-control" type="date" id="toDate" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                        </div>

                        <button class="btn btn-cust1" type="submit" id="filterDataBtn"><i class="fas fa-check"></i>
                            Display</button>

                    </form>

                    <br><br><br>

                    <div class="row">
                        <div class="col-md-6">
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a href="" type="button" class="btn btn-outline-primary"
                                    onclick="printPageArea('printableArea')"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>

                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="printableArea" id="" class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Particulars</th>
                                    <th>Voucher Description</th>
                                    <th>Debit</th>
                                    <th>Credit</th>
                                </tr>
                            </thead>

                            <tbody id="dataBody" style="display: none;">
                                <?php
                                    $totalDebits = 0;
                                    $totalCredits = 0;
                                ?>

                                <?php $__currentLoopData = $mergedData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                
                                    <tr data-date="<?php echo e(\Carbon\Carbon::parse($data->date)->format('Y-m-d')); ?>">
                                        <td><?php echo e(\Carbon\Carbon::parse($data->date)->format('d/m/Y')); ?></td>
                                        <td>
                                            <span>
                                                <?php echo e(optional($data->account)->name_of_organisation ??
                                                    optional($data->account)->account_name ??
                                                    optional($data->account)->first_name . ' ' . optional($data->account)->last_name ??
                                                    ''); ?>

                                            </span>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <span><strong><a href="<?php echo e(route('software.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id])); ?>">Sales#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <span><strong> <a href="<?php echo e(route('software.debit_notes.show', ['debit_note' => $data->id])); ?>">Credit Note#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php else: ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\CreditNote): ?>
                                                <?php echo e(number_format($data->total_gross_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $totalCredits += $data->total_gross_amount;
                                                ?>
                                            <?php else: ?>

                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e(number_format($data->total_gross_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $totalDebits += $data->total_gross_amount;
                                                ?>
                                            <?php else: ?>

                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                
                                <tr id="totalsRow" class="totalsRow">
                                    <td colspan="3">Total</td>
                                    <td id="totalDebit"></td>
                                    <td id="totalCredit"></td>
                                </tr>
                                <tr id="totalsRow" class="totalsRow td-drak-bg" >
                                    <td colspan="3"><strong>Grand Total</strong></td>
                                    <td ><strong id="grandTotalDebit"></strong></td>
                                    <td ><strong id="grandTotalCredit"></strong></td>
                                </tr>

                            </tbody>
                        </table>


                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
    <script>
        $(document).ready(function() {
            $('#filterDataBtn').on('click', function(e) {
                e.preventDefault();

                var fromDate = $('#fromDate').val();
                var toDate = $('#toDate').val();

                var rows = $('#dataBody tr');

                rows.sort(function(a, b) {
                    var dateA = $(a).data('date');
                    var dateB = $(b).data('date');
                    return new Date(dateA) - new Date(dateB);
                });

                $('#dataBody').empty().append(rows);

                var totalDebit = 0;
                var totalCredit = 0;

                rows.each(function() {
                    var rowDate = $(this).data('date');

                    if (rowDate >= fromDate && rowDate <= toDate) {
                        $(this).show();

                        var debit = parseFloat($(this).find('td:nth-child(4)').text());
                        var credit = parseFloat($(this).find('td:nth-child(5)').text());

                        if (!isNaN(debit)) {
                            totalDebit += debit;
                        }

                        if (!isNaN(credit)) {
                            totalCredit += credit;
                        }
                    } else {
                        $(this).hide();
                    }
                });


                $('#totalDebit').text(totalDebit.toFixed(3));
                $('#totalCredit').text(totalCredit.toFixed(3));

                // Calculate grand total
                var grandTotalDebit = 0;
                var grandTotalCredit = 0;

                if (totalDebit > totalCredit) {
                    grandTotalDebit = totalDebit - totalCredit;
                    $('#grandTotalDebit').text(grandTotalDebit.toFixed(3));
                } else {
                    grandTotalCredit = totalCredit - totalDebit;
                    $('#grandTotalCredit').text(grandTotalCredit.toFixed(3));
                }


                // $('#grandTotal').text((totalCredit-totalDebit).toFixed(3));

                $('#dataBody').show();
                $('.totalsRow').show();
            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/sales_report.blade.php ENDPATH**/ ?>