@extends('layouts.crusher')
@section('content')

<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }
</style>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Statement of Accounts

                            </h6>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">{{ $ClassOfAccount->name }}</h6>
                            <h6 class="">Date : <span>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}}</span> To <span>{{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="#" target="_blank" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>
                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                        <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Ledger Name</th>
                                    {{-- <th>Type</th> --}}
                                    {{-- <th>OB</th> --}}
                                    <th>Debit</th>
                                    <th>Credit</th>
                                </tr>
                            </thead>

                            <tbody>

                                    <?php
                                    $ObtotalDebit = 0;
                                    $ObtotalCredit = 0;
                                    $cbtotalDebit = 0;
                                    $cbtotalCredit = 0;
                                    $DebitClosingBalance = 0;
                                    $CreditClosingBalance = 0;
                                    ?>
                                    @foreach ($allAccounts as $account)
                                        <?php
                                        $currentTotalDebit = 0;
                                        $currentTotalCredit = 0;
                                        ?>

                                        {{-- <tr> --}}
                                            {{-- <td>{{ $account->name_of_organisation }}</td> --}}
                                            {{-- <td> --}}
                                                @if(isset($totalDebit[$loop->index]['DebitBalance']))
                                                    {{-- {{ number_format($totalDebit[$loop->index]['DebitBalance'], session('branch')->currency_decimal) }} --}}
                                                    <?php $currentTotalDebit += $totalDebit[$loop->index]['DebitBalance']; ?>
                                                @endif
                                            {{-- </td> --}}
                                            {{-- <td> --}}
                                                @if(isset($totalCredit[$loop->index]['creditBalance']))
                                                    {{-- {{ number_format($totalCredit[$loop->index]['creditBalance'], session('branch')->currency_decimal) }} --}}
                                                    <?php $currentTotalCredit += $totalCredit[$loop->index]['creditBalance']; ?>
                                                @endif
                                            {{-- </td> --}}
                                        {{-- </tr> --}}

                                        {{-- <tr> --}}
                                            {{-- <td>{{ $account->name_of_organisation }}</td> --}}
                                            {{-- <td> --}}
                                                @if(isset($obtotalDebit[$loop->index]['DebitBalance']))
                                                    {{-- {{ number_format($obtotalDebit[$loop->index]['DebitBalance'], session('branch')->currency_decimal) }} --}}
                                                    <?php $ObtotalDebit += $obtotalDebit[$loop->index]['DebitBalance']; ?>
                                                @endif
                                            {{-- </td> --}}
                                            {{-- <td> --}}
                                                @if(isset($obtotalCredit[$loop->index]['creditBalance']))
                                                    {{-- {{ number_format($obtotalCredit[$loop->index]['creditBalance'], session('branch')->currency_decimal) }} --}}
                                                    <?php $ObtotalCredit += $obtotalCredit[$loop->index]['creditBalance']; ?>
                                                @endif
                                            {{-- </td> --}}
                                        {{-- </tr> --}}
                                        <?php
                                            $DebitCB = $currentTotalDebit + $obtotalDebit[$loop->index]['DebitBalance'];
                                            $CreditCB = $currentTotalCredit + $obtotalCredit[$loop->index]['creditBalance'];
                                            $closingBalance = $DebitCB - $CreditCB;
                                        ?>
                                        <tr>
                                            <td>{{ $account->name_of_organisation ?? $account->account_name }}</td>
                                            <td>
                                                @if($closingBalance >= 0)
                                                    @if ($closingBalance)
                                                        {{ number_format($closingBalance, session('branch')->currency_decimal) }}
                                                    @endif
                                                    <?php $cbtotalDebit += $closingBalance; ?>
                                                @endif
                                            </td>
                                            <td>
                                                @if($closingBalance < 0)
                                                @if ($closingBalance)
                                                    {{ number_format(abs($closingBalance), session('branch')->currency_decimal) }}
                                                @endif
                                                    <?php $cbtotalCredit += $closingBalance; ?>
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach

                                    @if ($account->name_of_organisation ?? $account->account_name == 'Cash')
                                        <tr >
                                            <td>Cash</td>
                                            <td>{{ number_format($debitCashReportCB, session('branch')->currency_decimal) }} </td>
                                            <td>{{ number_format(abs($creditCashReportCB), session('branch')->currency_decimal)}}</td>
                                        </tr>
                                    @endif
                                    @if ($account->name_of_organisation ?? $account->account_name == 'VAT')
                                        <tr>
                                            <td>Vat</td>
                                            <td>{{ number_format($debitVatReportCB, session('branch')->currency_decimal) }} </td>
                                            <td>{{ number_format(abs($creditVatReportCB), session('branch')->currency_decimal)}}</td>
                                        </tr>
                                    @endif
                                    @if ($account->name_of_organisation ?? $account->account_name == 'Discount')
                                        <tr>
                                            <td>Discount</td>
                                            <td>{{ number_format($debitDiscountReportCB, session('branch')->currency_decimal) }} </td>
                                            <td>{{ number_format(abs($creditDiscountReportCB), session('branch')->currency_decimal)}}</td>
                                        </tr>
                                    @endif
                                    {{-- @if ($ClassOfAccount->name == 'Cash in Hand')
                                        <tr >
                                            <td>Cash in Hand</td>
                                            <td>{{ number_format($debitCashReportCB, session('branch')->currency_decimal) }} </td>
                                            <td>{{ number_format(abs($creditCashReportCB), session('branch')->currency_decimal)}}</td>
                                        </tr>
                                    @endif --}}
                                    {{-- @if ($ClassOfAccount->name == 'Tax & Duties')
                                        <tr >
                                            <td>Tax & Duties</td>
                                            <td>{{  number_format($DebitCBalance, session('branch')->currency_decimal) }} </td>
                                            <td>{{  number_format($CreditCBalance, session('branch')->currency_decimal) }}</td>
                                        </tr>
                                    @endif --}}
                                    @php

                                        if ($account->name_of_organisation ?? $account->account_name == 'Cash') {

                                            $debitTotal = $cbtotalDebit  + $debitCashReportCB;
                                            $creditTotal = $cbtotalCredit  + $creditCashReportCB;

                                        } elseif ($account->name_of_organisation ?? $account->account_name == 'VAT') {
                                            $debitTotal = $cbtotalDebit  + $debitVatReportCB;
                                            $creditTotal = $cbtotalCredit  + $creditVatReportCB;
                                        } elseif ($account->name_of_organisation ?? $account->account_name == 'Discount') {
                                            $debitTotal = $cbtotalDebit  + $debitDiscountReportCB;
                                            $creditTotal = $cbtotalCredit  + $creditDiscountReportCB;
                                        }else {
                                            $debitTotal = $cbtotalDebit ;
                                            $creditTotal = $cbtotalCredit ;
                                        }

                                    @endphp
                                    <tr>
                                        <td><strong>Total</strong></td>
                                        <td>
                                            <strong>@if ($debitTotal)
                                                        {{ number_format(abs($debitTotal), session('branch')->currency_decimal) }}
                                                    @endif
                                            </strong>
                                        </td>
                                        <td>
                                            <strong>
                                                @if ($creditTotal)
                                                    {{ number_format(abs($creditTotal), session('branch')->currency_decimal) }}
                                                @endif
                                            </strong>
                                        </td>
                                    </tr>
                                    {{-- <tr>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td>Current balance</td>
                                        <td>
                                                {{ number_format($currentTotalDebit, session('branch')->currency_decimal) }}
                                        </td>
                                        <td>
                                                {{ number_format(abs($currentTotalCredit), session('branch')->currency_decimal) }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Opening balance</td>
                                        <td>
                                                {{ number_format($ObtotalDebit, session('branch')->currency_decimal) }}
                                        </td>
                                        <td>
                                                {{ number_format(abs($ObtotalCredit), session('branch')->currency_decimal) }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Closing balance</td>
                                        <td>
                                                {{ number_format($currentTotalDebit - $ObtotalDebit, session('branch')->currency_decimal) }}
                                        </td>
                                        <td>
                                                {{ number_format(abs($currentTotalCredit - $ObtotalCredit), session('branch')->currency_decimal) }}
                                        </td>
                                    </tr> --}}
                            </tbody>
                        </table>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>



@endsection
