@extends('layouts.superadmin')
@section('content')

<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Change Password</h6>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->
                        <form action="{{ route('password.update') }}" method="POST" class="outer-repeater">
                            @csrf

                            <div class="form-group">
                                <label for="old_password">Old Password</label>
                                <input class="form-control" type="password" name="old_password" id="old_password" placeholder="Enter Your Old Password" required>
                                @error('old_password')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="password">New Password</label>
                                        <input class="form-control" type="password" name="password" id="password" placeholder="Enter New Password" required>
                                        @error('password')
                                            <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="password_confirmation">Confirm Password</label>
                                        <input class="form-control" type="password" name="password_confirmation" id="password_confirmation" placeholder="Enter Confirm Password" required>
                                        @error('password_confirmation')
                                            <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>

                            <button class="btn btn-cust1" type="submit">Submit</button>
                        </form>



                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<!-- End Page-content -->
@endsection
