@extends('layouts.master_user')
@section('page-title')
Document Expiry
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
.ibox-title {
    background-color: #efefef;
    border-style: none;
}

</style>

@endsection
@section('others')
active
@endsection
@section('document-expiry')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form method="get" class="form-horizontal">

                <div class="row">
                    <div class="container center-container">
                        <div class="col-lg-12">
                            <div class="ibox float-e-margins">
                                <div class="ibox-content">
                                    <div>
                                        <div class="feed-activity-list">
                                            @foreach ($account_master_docs as $item)
                                                @if ($item->doc_name_1 != "")                            
                                                    @if ( ( $item->doc_expiry_1 >= Carbon\Carbon::now()->format('Y-m-d') )
                                                            && 
                                                            $item->doc_expiry_1 <= Carbon\Carbon::now()->addDays(30)->format('Y-m-d') 
                                                    )
                                                        <div class="feed-element">
                                                            <div class="media-body ">
                                                                <small class="pull-right">{{$item->doc_expiry_1}}</small>
                                                                <strong>{{$item->doc_name_1}}</strong>
                                                                <p>In Account Master {{$item->account_master_type}} => {{$item->name_of_organisation}}.</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                            @foreach ($account_master_docs as $item)
                                                @if ($item->doc_name_2 != "")                            
                                                    @if ( ( $item->doc_expiry_2 >= Carbon\Carbon::now()->format('Y-m-d') )
                                                            && 
                                                            $item->doc_expiry_2 <= Carbon\Carbon::now()->addDays(30)->format('Y-m-d') 
                                                    )
                                                        <div class="feed-element">
                                                            <div class="media-body ">
                                                                <small class="pull-right">{{$item->doc_expiry_2}}</small>
                                                                <strong>{{$item->doc_name_2}}</strong>
                                                                <p>In Account Master {{$item->account_master_type}} => {{$item->name_of_organisation}}.</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                            @foreach ($account_master_docs as $item)
                                                @if ($item->doc_name_3 != "")                            
                                                    @if ( ( $item->doc_expiry_3 >= Carbon\Carbon::now()->format('Y-m-d') )
                                                            && 
                                                            $item->doc_expiry_3 <= Carbon\Carbon::now()->addDays(30)->format('Y-m-d') 
                                                    )
                                                        <div class="feed-element">
                                                            <div class="media-body ">
                                                                <small class="pull-right">{{$item->doc_expiry_3}}</small>
                                                                <strong>{{$item->doc_name_3}}</strong>
                                                                <p>In Account Master {{$item->account_master_type}} => {{$item->name_of_organisation}}.</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                            @foreach ($account_master_docs as $item)
                                                @if ($item->doc_name_4 != "")                            
                                                    @if ( ( $item->doc_expiry_4 >= Carbon\Carbon::now()->format('Y-m-d') )
                                                            && 
                                                            $item->doc_expiry_4 <= Carbon\Carbon::now()->addDays(30)->format('Y-m-d') 
                                                    )
                                                        <div class="feed-element">
                                                            <div class="media-body ">
                                                                <small class="pull-right">{{$item->doc_expiry_4}}</small>
                                                                <strong>{{$item->doc_name_4}}</strong>
                                                                <p>In Account Master {{$item->account_master_type}} => {{$item->name_of_organisation}}.</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                            @foreach ($account_master_docs as $item)
                                                @if ($item->doc_name_5 != "")                            
                                                    @if ( ( $item->doc_expiry_5 >= Carbon\Carbon::now()->format('Y-m-d') )
                                                            && 
                                                            $item->doc_expiry_5 <= Carbon\Carbon::now()->addDays(30)->format('Y-m-d') 
                                                    )
                                                        <div class="feed-element">
                                                            <div class="media-body ">
                                                                <small class="pull-right">{{$item->doc_expiry_5}}</small>
                                                                <strong>{{$item->doc_name_5}}</strong>
                                                                <p>In Account Master {{$item->account_master_type}} => {{$item->name_of_organisation}}.</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                            @foreach ($account_master_docs as $item)
                                                @if ($item->doc_name_6 != "")                            
                                                    @if ( ( $item->doc_expiry_6 >= Carbon\Carbon::now()->format('Y-m-d') )
                                                            && 
                                                            $item->doc_expiry_6 <= Carbon\Carbon::now()->addDays(30)->format('Y-m-d') 
                                                    )
                                                        <div class="feed-element">
                                                            <div class="media-body ">
                                                                <small class="pull-right">{{$item->doc_expiry_6}}</small>
                                                                <strong>{{$item->doc_name_6}}</strong>
                                                                <p>In Account Master {{$item->account_master_type}} => {{$item->name_of_organisation}}.</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                            @foreach ($account_master_docs as $item)
                                                @if ($item->doc_name_7 != "")                            
                                                    @if ( ( $item->doc_expiry_7 >= Carbon\Carbon::now()->format('Y-m-d') )
                                                            && 
                                                            $item->doc_expiry_7 <= Carbon\Carbon::now()->addDays(30)->format('Y-m-d') 
                                                    )
                                                        <div class="feed-element">
                                                            <div class="media-body ">
                                                                <small class="pull-right">{{$item->doc_expiry_7}}</small>
                                                                <strong>{{$item->doc_name_7}}</strong>
                                                                <p>In Account Master {{$item->account_master_type}} => {{$item->name_of_organisation}}.</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
</script>
@endsection
