@extends('layouts.master_user_without_nav')
@section('css')
<style>
    p {
    margin: 0 0 0px;
    }
    @media print {
        #printbtn {
            display: none;
        }

        /* .pagebreak {
            page-break-before: always;

        } */

        @page {
            size: auto;
            margin: 30 0;
        }
    }


    .invoice-box {
        max-width: 1200px;
        margin: auto;
        box-shadow: 0 0 10px rgba(0, 0, 0, .15);
    }

    table {
        font-size: 13px;
    }

    .invoice-total>tbody>tr>td:first-child {
        text-align: left;
    }

    .invoice-total>tbody>tr>td:nth-child(2) {
        text-align: right;
    }

    .top95 {

        text-align: center;
    }

    .moveleft {
        text-align: right;
    }

    .well {
        background-color: white;
    }

    @media screen and (max-width: 768px) {
        #table-responsive {
            width: 100%;
            overflow-x: auto;
        }
    }

    .logo {
        height: auto;
        width: 174px;
    }
    .margin_bottom{
        margin-bottom: 50px;
    }
    #margin_top{
        margin-top: 20px;
    }

    }
</style>
@endsection
@section('content')
<div class="invoice-box">
    <div class="row">
        <div class="col-lg-12">
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="ibox-content p-md">
                    <div class="row">
                        <div class="col-sm-12 text-center">
                            <button class="btn btn-primary pull-right" id="printbtn" onclick="window.print()"><i
                                    class="fa fa-print"></i> Print Invoice </button>
                        </div>
                    </div>
                    <div class="text-center">
                            <h3><b>Sales Invoice</b></h3>
                        </div>
                        <table class="table table table-bordered" name="invoice_table">
                            <tbody>
                                <tr>
                                    <td rowspan=2>
                                        <p><b>Company Name (ACP)</b></p>
                                        <p>Address:</p>
                                        <p>Email:test@gmail.com</p>
                                    </td>
                                    <td>
                                        <p>Invoice No:</p>
                                        <p><b>123456</b></p>
                                    </td>
                                    <td>
                                        <p>Date</p>
                                        <p><b>9-Nov-2020</b></p>
                                    </td>
                                </tr>
                                <td>
                                    <p>Delivery Order:
                                    <p><b>123456</b></p>
                                </td>
                                <td>
                                    <p>Mode/Term of Payment</p>
                                    <p><b>xyz mode</b></p>
                                </td>
                                <tr>
                                    <td>
                                        <p><b>Buyer:</b></p>
                                        <p>Name:</p>
                                        <p>Address:</p>
                                        <p>Email:</p>
                                    </td>
                                    <td colspan=2>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <table class="table table-bordered" name="invoice_table">
                            <thead>
                                <tr>
                                    <th class="col">Item Id</th>
                                    <th class="col">Item Description</th>
                                    <th class="col">Color</th>
                                    <th class="col">IMEI/Serial/Other</th>
                                    <th class="col">QTY</th>
                                    <th class="col">Rate/QTY</th>
                                    <th class="col">Amount</th>
                                    <th class="col">Remarks</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><b>Iphone 6s Gold White 32 GB</b></td>
                                    <td>Iphone 6s Gold White 32 GB.Iphone 6s Gold White 32.</td>
                                    <td>Gold White</td>
                                    <td>123456789</td>
                                    <td><b>3</b></td>
                                    <td>25000</td>
                                    <td><b>75000</b></td>
                                    <td>Thanks for shopping.Thanks for shopping.</td>
                                </tr>
                                <tr>
                                    <td><b>Iphone 6s Gold White 32 GB</b></td>
                                    <td>Iphone 6s Gold White 32 GB.Iphone 6s Gold White 32.</td>
                                    <td>Gold White</td>
                                    <td>123456789</td>
                                    <td><b>3</b></td>
                                    <td>25000</td>
                                    <td><b>75000</b></td>
                                    <td>Thanks for shopping.Thanks for shopping.</td>
                                </tr>
                                <tr>
                                    <td><b>Iphone 6s Gold White 32 GB</b></td>
                                    <td>Iphone 6s Gold White 32 GB.Iphone 6s Gold White 32.</td>
                                    <td>Gold White</td>
                                    <td>123456789</td>
                                    <td><b>3</b></td>
                                    <td>25000</td>
                                    <td><b>75000</b></td>
                                    <td>Thanks for shopping.Thanks for shopping.</td>
                                </tr>

                            </tbody>
                        </table>
                    <table class="table invoice-total">
                        <tbody>
                            <tr>
                                <td></td>
                                <td><strong>QTY Total :</strong></td>
                                <td>9</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><strong>Gross Total(Rs) :</strong></td>
                                <td>225000.00</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><strong>VAT % :</strong></td>
                                <td>(5%) 11250.00</td>
                            </tr>
                            <tr>
                                <td><strong>Amount in Words</strong></td>
                                <td><strong>Net Total(Rs) :</strong></td>
                                <td>236250.0</td>
                            </tr>
                        </tbody>
                    </table>
                    <table>
                        <tr>
                            <td><strong>Terms & Conditions</strong>
                            <p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.
                                The point of using Lorem Ipsum is that it has a more-or-less.</p>
                            </td>
                            <td>
                                <strong>Narrations</strong>
                            <p>It is a long established fact that a reader will be distracted by the readable content of
                                a page when looking at its layout.
                                The point of using Lorem Ipsum is that it has a more-or-less
                            </p>
                            </td>
                        </tr>

                    </table>
                    <table id="margin_top">
                        <tr>
                           <td>
                            <p><strong>Customer Info</strong></p>
                            <p>ID:<b>50</b><br>
                            <p>Name:<b>XYZ</b></p>
                            <p>Phone:<b>123456789123456</b></p>
                            </p>
                           </td>
                        </tr>
                    </table>
                    <table class="table table-bordered" id="margin_top">
                        <tr>
                            <td>
                            <p class="margin_bottom"><strong>Customer Sign & Stamp</strong></p>
                            <p></p>
                            </td>
                            <td>
                            <p class="margin_bottom"><strong class="pull-right ">For Company Name</strong><br>
                            <strong class="pull-right margin_bottom"> Authorised Signature</strong>
                            </p>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tfoot >
                            <p class="text-center">This is a Computer Generated Invoice</p>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


@section('js')
<script>
    $(document).ready(function(){
$("#hide").click(function(){
$(".fa fa-print").hide();
});

});
</script>
@endsection
