<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Day Book Report</h2>
<h4>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</h4>
<div class="row">
    <table>
        <thead>
            <tr>
                <th>Date</th>
                <th>Particulars</th>
                <th>Voucher Description</th>
                <th>Net Amount</th>
                <th>Vat Amount</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($sorted_daybook_data as $item)
                        <tr>
                            <td>{{\Carbon\Carbon::parse($item->date)->format('d-m-Y')}}</td>
                            <td>{{$item->account->name_of_organisation}}</td>
                            <td>{{$item->invoice_type}}# {{ $item->invoice_no }}</td>
                            <td>{{ number_format($item->net_total, $decimal, '.', '') }}</td>
                            <td>{{ number_format($item->vat_amount, $decimal, '.', '') }}</td>
                        </tr>
                    @endforeach
        </tbody>
    </table>
    
</div>

</body>
</html>
