
@extends('layouts.master_user')
@section('page-title')
Group Summary
@endsection
@section('css')
<style>


</style>
@endsection
@section('reports')
active
@endsection
@section('group-summary')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" id="create_form" action="/reports/group-summary" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <div class="col-sm-4">
                        <label>From Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                            name="from_date" class="form-control" value="">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <label>To Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                            name="to_date" class="form-control" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label>Class of Account</label>
                        <select name="select_account_class" id="select_account_class" class="form-control" required>
                            <option value="">Select...</option>
                            @foreach ($class_of_account as $item)
                                <option value="{{$item->id}}">{{$item->name}}</option>
                            @endforeach

                        </select>
                    </div>
                </div>
                <div class="form-group top">
                    <button class="btn btn-secondary" type="submit"><i class="fa fa-check"></i>&nbsp;Display</button>
                </div>
            </form>

        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#select_account_class').select2();
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });

    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
