<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Statement-of-Accounts Ledger Billwise</h2>
<h4>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</h4>
<table>
    <tr>
        <th>Date</th>
        <th>Voucher Description</th>
        <th>Amount</th>
        <th>Invoice Due Date</th>
        <th>Over Due By Days</th>
    </tr>
    @foreach ($sorted_data as $item)
        <tr>
            <td>{{ \Carbon\Carbon::parse($item->date)->format('d-m-Y') }}</td>
            <td>{{$item->invoice_type}}# {{ $item->invoice_no }}</td>
            <td>{{$item->net_total}}</td>
            <td>{{$item->due_date}}</td>
            <td>{{$item->diff}}</td>
        </tr>
    @endforeach
    
</table>

</body>
</html>
