<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class InventoryOpeningBalanceItem extends Model
{
    //
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'inventory_opening_balance_items';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'inventory_opening_balance_id',
        'item_name_id',
        'description',
        'color',
        'imei_serial_no',
        'quantity',
        'rate_per_quantity',
        'amount',
        'remarks',
    ];


    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
    ];
}
