<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentVoucherItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payment_voucher_items', function (Blueprint $table) {
            $table->id();
            $table->integer('payment_voucher_id');
            $table->integer('account_id');
            $table->string('payment_type');
            $table->string('invoice_id')->nullable();
            // $table->string('paid_amount');
            $table->string('amount');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payment_voucher_items');
    }
}
