@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="row mt-4 mb-1">
                    <div class="col-md-6">
                        <h6 class="card-title mb-4 titlcust">View Warehouse Transfer</h6>
                    </div>
                    <div class="col-md-6">
                        <a href="">
                            <button class="btn btn-outline-primary float-right cust-btn1"
                                onclick="printPageArea('printableArea')" type="submit">Print Document
                            </button>
                        </a>
                        <a href="">
                            <button class="btn btn-outline-primary float-right" type="submit">Back
                            </button>
                        </a>
                    </div>
                </div>
                <div class="card" id="printableArea">
                    <div class="card-body">

                        <h6 class="card-title mb-1 text-center font-size-20">Warehouse Transfer</h6>
                        <br>



                        {{-- <div class="row border1">
                            @if (!empty(($companyLogo = auth()->user()->company_logo)))
                                <div class="col-md-2 d-flex align-items-center justify-content-center">
                                    <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                        alt="logo" width="180px">
                                </div>
                            @else
                                <div class="col-md-2 d-flex align-items-center justify-content-center">
                                    <img src="{{ asset('assets/images/acp-logo.png') }}" class="img-fluid" alt="logo"
                                        width="180px">
                                </div>
                            @endif
                            <div class="col-md-6">
                                <div class="row border1">
                                    <div class="pading1">
                                        <div class="col-md-12 ">
                                            <span>{{ $company->name }}</span>
                                        </div>
                                        <div class="col-md-12 ">
                                            <span>{{ $company->country }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Branch Name :</label>
                                            <span>{{ session()->get('branch')->name }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Branch Address :</label>
                                            <span>{{ session()->get('branch')->address }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Cr Number :</label>
                                            <span>{{ $company->cr_number }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $company->vat_number }}</span>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="row border1">
                                    <div class="pading1">
                                        <div class="col-md-12">
                                            <label>WST # :</label>
                                            <span>{{ $warehouseTransfer[0]->invoice_no }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Date :</label>
                                            <span>{{ $warehouseTransfer[0]->date }}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> --}}


                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap">
                                <tr>
                                    <td>
                                        <table class="table table-bordered dt-responsive nowrap">
                                            <tr>
                                                <td>
                                                    @if (!empty(($companyLogo = auth()->user()->company_logo)))
                                                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                                                        <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                                            alt="logo" width="700px">
                                                        </div>
                                                    @else
                                                        <div class="col-md-12 d-flex align-items-center justify-content-center">
                                                            <img src="{{ asset('assets/images/acp-logo.png') }}" class="img-fluid" alt="logo"
                                                                width="700px">
                                                        </div>
                                                    @endif
                                                </td>
                                                <td colspan="2">
                                                    <div class="row">
                                                        <div class="col-md-12 ">
                                                            <label>Company Name :</label>
                                                            <span>{{ $company->name }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Branch Name :</label>
                                                            <span>{{ session()->get('branch')->name }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Branch Address :</label>
                                                            <span>{{ session()->get('branch')->address }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Company Country :</label>
                                                            <span>{{ $company->country }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Company CR Number :</label>
                                                            <span>{{ $company->cr_number }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Company Vat Number :</label>
                                                            <span>{{ $company->vat_number }}</span>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>

                                        </table>
                                    </td>
                                    <td>
                                        <table class="table table-bordered dt-responsive nowrap">
                                            <tr>
                                                <td>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <label>WST # :</label>
                                                            <span>{{ $warehouseTransfer[0]->invoice_no }}</span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Date :</label>
                                                            <span>{{ $warehouseTransfer[0]->date }}</span>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>

                                    </table>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <br>


                        <div class="row">
                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>S No.</th>
                                            <th>Item Name</th>
                                            <th>Form Warehouse</th>
                                            <th>To Warehouse</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        @forelse ($warehouseTransfer as $key=>$wt)
                                            <tr>
                                                <td>{{ $key + 1 }}</td>
                                                <td>
                                                    <p>{{ $wt->item->name }}</p>
                                                </td>
                                                <td>
                                                    <p>{{ $wt->warehouseFrom->name }}</p>
                                                </td>
                                                <td>
                                                    <p>{{ $wt->warehouseTo->name }}</p>
                                                </td>
                                            </tr>
                                        @empty
                                        @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
