<?php $__env->startSection('content'); ?>




        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Trial Balance
                                </h6>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="">Date: <span><?php echo e($from_date); ?></span> To <span><?php echo e($to_date); ?></span></h6>
                            </div>
                            <div class="col-md-6">
                                <div class="btn-group float-right" role="group" aria-label="Basic example">
                                    <a href="" type="button" class="btn btn-outline-primary"><i
                                            class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                    <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                        Formate</a>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Particulars</th>
                                        <th>Debit</th>
                                        <th>Credit</th>
                                    </tr>
                                </thead>
                                <tbody>





<tr>
    <td>Capital Account</td>
    <td>
        <?php if($CapitalAccountTotalDebit): ?>
            <span> <?php echo e(number_format( $CapitalAccountTotalDebit, session('branch')->currency_decimal)); ?></span>
        <?php endif; ?>
    </td>
    <td>
        <?php if($CapitalAccountTotalCredit): ?>
            <span><?php echo e(number_format( $CapitalAccountTotalCredit, session('branch')->currency_decimal)); ?></span>
        <?php endif; ?>
    </td>
</tr>
<tr class="td-drak-light">
    <td><strong>Capital Account</strong></td>
    <td>
        <?php if($CapitalAccountTotalDebit): ?>
            <span> <?php echo e(number_format( $CapitalAccountTotalDebit, session('branch')->currency_decimal)); ?></span>
        <?php endif; ?>
    </td>
    <td>
        <?php if($CapitalAccountTotalCredit): ?>
            <span><?php echo e(number_format( $CapitalAccountTotalCredit, session('branch')->currency_decimal)); ?></span>
        <?php endif; ?>
    </td>
</tr>
<tr>
    <td>Loans</td>
    <td>
        <?php if($loansTotalDebit): ?>
        <?php echo e(number_format($loansTotalDebit, session('branch')->currency_decimal)); ?>

        <?php endif; ?>
    </td>
    <td>
        <?php if($loansTotalCredit): ?>
        <?php echo e(number_format($loansTotalCredit, session('branch')->currency_decimal)); ?>

        <?php endif; ?>
    </td>
</tr>
<tr class="td-drak-light">
    <td><strong>Loans</strong></td>
    <td>
        <?php if($loansTotalDebit): ?>
        <?php echo e(number_format($loansTotalDebit, session('branch')->currency_decimal)); ?>

        <?php endif; ?>
    </td>
    <td>
        <?php if($loansTotalCredit): ?>
        <?php echo e(number_format($loansTotalCredit, session('branch')->currency_decimal)); ?>

        <?php endif; ?>
    </td>
</tr>

<tr>
    <td>Current Liabilities</td>
    <td><?php echo e(number_format($CurrentLiabilitiesTotalDebit, session('branch')->currency_decimal)); ?> </td>
    <td><?php echo e(number_format(abs($CurrentLiabilitiesTotalCredit), session('branch')->currency_decimal)); ?></td>
</tr>
<tr>
    <td>Sundry Creditors</td>
    <td><?php echo e(number_format($SundryCreditorsTotalDebit, session('branch')->currency_decimal)); ?> </td>
    <td><?php echo e(number_format(abs($SundryCreditorsTotalCredit), session('branch')->currency_decimal)); ?></td>
</tr>
<tr>
    <td>Tax & Duties</td>
    <td><?php echo e(number_format($debitVatReportCB, session('branch')->currency_decimal)); ?> </td>
    <td><?php echo e(number_format(abs($creditVatReportCB), session('branch')->currency_decimal)); ?></td>
</tr>
<?php
    $currentLiabilitiesDebit = 0;
    $currentLiabilitiesCredit = 0;

    $currentLiabilitiesDebit = $CurrentLiabilitiesTotalDebit + $debitVatReportCB + $SundryCreditorsTotalDebit;
    $currentLiabilitiesCredit = $CurrentLiabilitiesTotalCredit + $creditVatReportCB + $SundryCreditorsTotalCredit;
?>
<tr class="td-drak-light">
    <td><strong>Current Liabilities</strong></td>
    <td><?php echo e(number_format(abs($currentLiabilitiesDebit), session('branch')->currency_decimal)); ?></td>
    <td><?php echo e(number_format(abs($currentLiabilitiesCredit), session('branch')->currency_decimal)); ?></td>
</tr>


<?php if($allOpeningStock): ?>
<tr>
    <td>Opening Stock</td>
    <td><?php echo e(number_format($allOpeningStock, session('branch')->currency_decimal)); ?></td>
    <td></td>
</tr>
<?php endif; ?>
<tr>
    <td>Sundry Debtors</td>
    <td><?php echo e(number_format($sundryDebtorsTotalDebit, session('branch')->currency_decimal)); ?></td>
    <td><?php echo e(number_format($sundryDebtorsTotalCredit, session('branch')->currency_decimal)); ?></td>
</tr>
<tr>
    <td>Bank Accounts</td>
    <td><?php echo e(number_format($bankAccountTotalDebit, session('branch')->currency_decimal)); ?></td>
    <td><?php echo e(number_format($bankAccountTotalCredit, session('branch')->currency_decimal)); ?></td>
</tr>
<tr>
    <td>Cash in Hand</td>
    <td>
        <?php if($debitCashReportCB): ?>
            <span><?php echo e(number_format($debitCashReportCB, session('branch')->currency_decimal)); ?></span>
        <?php endif; ?>
    </td>
    <td>
        <?php if($creditCashReportCB): ?>
            <span><?php echo e(number_format($creditCashReportCB, session('branch')->currency_decimal)); ?></span>
        <?php endif; ?>
    </td>
</tr>
<?php
    $currentAssetsDebit = 0;
    $currentAssetsCredit = 0;

    $currentAssetsDebit = $debitCashReportCB + $allOpeningStock + $sundryDebtorsTotalDebit + $bankAccountTotalDebit;
    $currentAssetsCredit = $creditCashReportCB + $sundryDebtorsTotalCredit + $bankAccountTotalCredit;
?>
<tr class="td-drak-light">
    <td><strong>Current Assets</strong></td>
    <td> <?php echo e(number_format($currentAssetsDebit, session('branch')->currency_decimal)); ?></td>
    <td> <?php echo e(number_format($currentAssetsCredit, session('branch')->currency_decimal)); ?></td>
</tr>
<tr>
    <td>Advance</td>
    <td><?php echo e(number_format($AdvanceTotalDebit, session('branch')->currency_decimal)); ?></td>
    <td><?php echo e(number_format($AdvanceTotalCredit, session('branch')->currency_decimal)); ?></td>
</tr>
<tr class="td-drak-light">
    <td><strong>Advance</strong></td>
    <td><?php echo e(number_format($AdvanceTotalDebit, session('branch')->currency_decimal)); ?></td>
    <td><?php echo e(number_format($AdvanceTotalCredit, session('branch')->currency_decimal)); ?></td>
</tr>


<?php
    $incomeTotalCB = 0;
?>
<?php $__currentLoopData = $incomeTotalClosingBalance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountName => $closingBalance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <tr>
        <td><?php echo e($accountName); ?></td>
        <td></td>
        <td><?php echo e(number_format(abs($closingBalance), session('branch')->currency_decimal)); ?></td>
    </tr>
    <?php
        $incomeTotalCB += -$closingBalance;
    ?>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


<tr class="td-drak-light">
    <td><strong><h6>Incomes</h6></strong></td>
    <td></td>
    <td><strong><h6><?php echo e(number_format(abs($incomeTotalCB), session('branch')->currency_decimal)); ?></h6></strong></td>
</tr>


<?php if($AllSaleTotalsDebit || $AllSaleTotalsCredit): ?>

<tr>
    <td>Sales</td>
    <td>
        <?php if($AllSaleTotalsDebit): ?>
            <strong><?php echo e(number_format(abs($AllSaleTotalsDebit), session('branch')->currency_decimal)); ?></strong>
        <?php endif; ?>
    </td>
    <td>
        <?php if($AllSaleTotalsCredit): ?>
            <strong><?php echo e(number_format(abs($AllSaleTotalsCredit), session('branch')->currency_decimal)); ?></strong>
        <?php endif; ?>
    </td>
</tr>
<tr class="td-drak-light">
    <td><strong><h6>Sales Accounts</h6></strong></td>
    <td>
        <?php if($AllSaleTotalsDebit): ?>
            <strong><?php echo e(number_format(abs($AllSaleTotalsDebit), session('branch')->currency_decimal)); ?></strong>
        <?php endif; ?>
    </td>
    <td>
        <?php if($AllSaleTotalsCredit): ?>
            <strong><?php echo e(number_format(abs($AllSaleTotalsCredit), session('branch')->currency_decimal)); ?></strong>
        <?php endif; ?>
    </td>
</tr>
<?php endif; ?>
<?php if($AllPurchaesTotals): ?>
<tr>
    <td>Purchase</td>
    <td>
        <strong><?php echo e(number_format($AllPurchaesTotals, session('branch')->currency_decimal)); ?></strong>
    </td>
    <td>
    </td>
</tr>
<tr class="td-drak-light">
    <td><strong><h6>Purchase Accounts</h6></strong></td>
    <td>
        <strong><?php echo e(number_format($AllPurchaesTotals, session('branch')->currency_decimal)); ?></strong>
    </td>
    <td></td>
</tr>
<?php endif; ?>



<?php
    $expenseTotalCB = 0;
?>
<?php $__currentLoopData = $expenseTotalClosingBalance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountName => $closingBalance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <tr>
        <td><?php echo e($accountName); ?></td>
        <td><?php echo e(number_format($closingBalance, session('branch')->currency_decimal)); ?></td>
        <td></td>
    </tr>
    <?php
        $expenseTotalCB += $closingBalance;
    ?>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


<tr class="td-drak-light">
    <td><strong><h6>Expenses</h6></strong></td>
    <td><strong><h6><?php echo e(number_format($expenseTotalCB, session('branch')->currency_decimal)); ?></h6></strong></td>
    <td></td>
</tr>


                                    <?php
                                        $Debit = 0;
                                        $Credit = 0;

                                        $grandTotalDebit = 0;
                                        $grandTotalCredit = 0;

                                        $grandTotalDebit = $currentLiabilitiesDebit + $currentAssetsDebit + $AllSaleTotalsDebit + $AllPurchaesTotals + $expenseTotalCB + $CapitalAccountTotalDebit + $AdvanceTotalDebit + $loansTotalDebit;

                                        $grandTotalCredit = $CapitalAccountTotalCredit + $currentLiabilitiesCredit + $currentAssetsCredit + $incomeTotalCB + $AllSaleTotalsCredit + $AdvanceTotalCredit + $loansTotalCredit;

                                        // $profitAndLossAccount = $grandTotalDebit - $grandTotalCredit;

                                        if ($grandTotalCredit > $grandTotalDebit) {
                                            $Debit = $grandTotalCredit - $grandTotalDebit;
                                        } elseif ($grandTotalCredit < $grandTotalDebit) {
                                            $Credit = $grandTotalDebit - $grandTotalCredit;
                                        }

                                        $DebitBalance = $Debit;
                                        $creditBalance = $Credit;

                                    ?>
                                    <tr>
                                        <td><strong>Profit & Loss A/C</strong></td>
                                        <?php if($DebitBalance): ?>
                                            <td><strong><?php echo e(number_format($DebitBalance, session('branch')->currency_decimal)); ?></strong></td>
                                        <?php else: ?>
                                        <td></td>
                                        <?php endif; ?>
                                        <?php if($creditBalance): ?>
                                        <td><strong><?php echo e(number_format($creditBalance, session('branch')->currency_decimal)); ?></strong></td>
                                        <?php else: ?>
                                        <td></td>
                                        <?php endif; ?>
                                    </tr>
                                    <tr class="td-drak-bg">
                                        <td><strong>Total</strong></td>
                                        <td><strong><?php echo e(number_format($grandTotalDebit + $DebitBalance, session('branch')->currency_decimal)); ?></strong></td>
                                        <td><strong><?php echo e(number_format($grandTotalCredit + $creditBalance, session('branch')->currency_decimal)); ?></strong></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/trail_balance_reports.blade.php ENDPATH**/ ?>