<?php $__env->startSection('content'); ?>


        <div class="row">
            <div class="col-md-12">
                <div class="row mt-4 mb-1">
                    <div class="col-md-6">
                        <h6 class="card-title mb-4 titlcust">View Warehouse Transfer</h6>
                    </div>
                    <div class="col-md-6">
                        <a href="">
                            <button class="btn btn-outline-primary float-right cust-btn1"
                                onclick="printPageArea('printableArea')" type="submit">Print Document
                            </button>
                        </a>
                        <a href="">
                            <button class="btn btn-outline-primary float-right" type="submit">Back
                            </button>
                        </a>
                    </div>
                </div>
                <div class="card" id="printableArea">
                    <div class="card-body">

                        <h6 class="card-title mb-1 text-center font-size-20">Warehouse Transfer</h6>
                        <br>



                        


                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap">
                                <tr>
                                    <td>
                                        <table class="table table-bordered dt-responsive nowrap">
                                            <tr>
                                                <td>
                                                    <?php if(!empty(($companyLogo = auth()->user()->company_logo))): ?>
                                                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                                                        <img src="<?php echo e(asset('storage/app/public/' . $companyLogo)); ?>" class="img-fluid"
                                                            alt="logo" width="700px">
                                                        </div>
                                                    <?php else: ?>
                                                        <div class="col-md-12 d-flex align-items-center justify-content-center">
                                                            <img src="<?php echo e(asset('assets/images/acp-logo.png')); ?>" class="img-fluid" alt="logo"
                                                                width="700px">
                                                        </div>
                                                    <?php endif; ?>
                                                </td>
                                                <td colspan="2">
                                                    <div class="row">
                                                        <div class="col-md-12 ">
                                                            <label>Company Name :</label>
                                                            <span><?php echo e($company->name); ?></span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Branch Name :</label>
                                                            <span><?php echo e(session()->get('branch')->name); ?></span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Branch Address :</label>
                                                            <span><?php echo e(session()->get('branch')->address); ?></span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Company Country :</label>
                                                            <span><?php echo e($company->country); ?></span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Company CR Number :</label>
                                                            <span><?php echo e($company->cr_number); ?></span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Company Vat Number :</label>
                                                            <span><?php echo e($company->vat_number); ?></span>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>

                                        </table>
                                    </td>
                                    <td>
                                        <table class="table table-bordered dt-responsive nowrap">
                                            <tr>
                                                <td>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <label>WST # :</label>
                                                            <span><?php echo e($warehouseTransfer[0]->invoice_no); ?></span>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label>Date :</label>
                                                            <span><?php echo e($warehouseTransfer[0]->date); ?></span>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>

                                    </table>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <br>


                        <div class="row">
                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>S No.</th>
                                            <th>Item Name</th>
                                            <th>Form Warehouse</th>
                                            <th>To Warehouse</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        <?php $__empty_1 = true; $__currentLoopData = $warehouseTransfer; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$wt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <td><?php echo e($key + 1); ?></td>
                                                <td>
                                                    <p><?php echo e($wt->item->name); ?></p>
                                                </td>
                                                <td>
                                                    <p><?php echo e($wt->warehouseFrom->name); ?></p>
                                                </td>
                                                <td>
                                                    <p><?php echo e($wt->warehouseTo->name); ?></p>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_warehouse_transfer/view.blade.php ENDPATH**/ ?>