<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Balance Sheet</h6>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Date: <span><?php echo e($to_date); ?></span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>
                            </div>
                        </div>
                    </div>


                            <div class="row mt-5">
                                <div class="col-md-6">
                                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                                        <table id="" class="table table-bordered nowrap"
                                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                                <tr class="td-drak-bg">
                                                    <th colspan="3"><strong>Libilities</strong></th>
                                                </tr>
                                            </thead>
                                           <tbody>
                                            <?php $__currentLoopData = $CapitalAccountDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CapitalAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($CapitalAccount['accoun_name']); ?></td>
                                                    <?php
                                                        $CapitalAccountTB = $CapitalAccount['DebitBalance'] - $CapitalAccount['CreditBalance']
                                                    ?>
                                                    <td><?php echo e(number_format(abs($CapitalAccountTB), session('branch')->currency_decimal)); ?></td>
                                                    <td></td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <tr class="td-drak-bg">
                                                    <?php
                                                        $CapitalAccountBalance = $CapitalAccountTotalDebit - $CapitalAccountTotalCredit;
                                                    ?>
                                                    <td><strong>Capital Account</strong></td>
                                                    <td></td>
                                                    <td><strong>
                                                        <?php if($CapitalAccountBalance): ?>
                                                            <?php echo e(number_format(abs($CapitalAccountBalance), session('branch')->currency_decimal)); ?>

                                                        <?php endif; ?>
                                                    </strong></td>
                                                </tr>
                                                <?php $__currentLoopData = $LoansAccountDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $LoansAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($LoansAccount['accoun_name']); ?></td>
                                                    <?php
                                                        $LoansAccountTB = $LoansAccount['DebitBalance'] - $LoansAccount['CreditBalance']
                                                    ?>
                                                    <td><?php echo e(number_format(abs($LoansAccountTB), session('branch')->currency_decimal)); ?></td>
                                                    <td></td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <tr class="td-drak-bg">
                                                    <?php
                                                        $loansTotalBalance = $loansTotalDebit - $loansTotalCredit;
                                                    ?>
                                                    <td><strong>Loans</strong></td>
                                                    <td></td>
                                                    <td><strong>
                                                        <?php if($loansTotalBalance): ?>
                                                            <?php echo e(number_format(abs($loansTotalBalance), session('branch')->currency_decimal)); ?>

                                                        <?php endif; ?>
                                                    </strong></td>
                                                </tr>
                                                <tr>
                                                    <?php
                                                        $DutiesAndTaxesBalance = $debitVatReportCB - $creditVatReportCB;
                                                    ?>
                                                    <td>Duties & Taxes</td>
                                                    <td>
                                                        <?php if($DutiesAndTaxesBalance): ?>
                                                            <?php echo e(number_format(abs($DutiesAndTaxesBalance), session('branch')->currency_decimal)); ?>

                                                        <?php endif; ?>
                                                    </td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <?php
                                                        $SundryCreditorsBalance = $SundryCreditorsTotalDebit - $SundryCreditorsTotalCredit;
                                                    ?>
                                                    <td>Sundry Creditors</td>
                                                    <td>
                                                        <?php if($SundryCreditorsBalance): ?>
                                                            <?php echo e(number_format(abs($SundryCreditorsBalance), session('branch')->currency_decimal)); ?>

                                                        <?php endif; ?>
                                                    </td>
                                                    <td></td>
                                                </tr>

                                                <?php $__currentLoopData = $CurrentLiabilitiesAccountDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CurrentLiabilitiesAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($CurrentLiabilitiesAccount['accoun_name']); ?></td>
                                                    <?php
                                                        $CurrentLiabilitiesAccountTB = $CurrentLiabilitiesAccount['CreditBalance'] - $CurrentLiabilitiesAccount['DebitBalance'];
                                                    ?>
                                                    <td><?php echo e(number_format($CurrentLiabilitiesAccountTB, session('branch')->currency_decimal)); ?></td>
                                                    <td></td>
                                                </tr>
                                                <?php

                                                $CurrentLiabilitiesACB = 0;
                                                $CurrentLiabilitiesADB = 0;

                                                $CurrentLiabilitiesACB += $CurrentLiabilitiesAccount['CreditBalance'];
                                                $CurrentLiabilitiesADB += $CurrentLiabilitiesAccount['DebitBalance'];

                                                $CLAccountTB = $CurrentLiabilitiesACB - $CurrentLiabilitiesADB;

                                            ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                            <?php
                                                $CurrentLiabilitiesBalance = $CurrentLiabilitiesTotalDebit - $CurrentLiabilitiesTotalCredit;
                                            ?>

                                                <?php
                                                    $CurrentLiabilitiesTotalBalance = $CurrentLiabilitiesBalance + $DutiesAndTaxesBalance + $SundryCreditorsBalance;
                                                ?>
                                                <tr class="td-drak-bg">
                                                    <td><strong>Current Liabilities</strong></td>
                                                    <td></td>
                                                    <td>
                                                        <?php if($CurrentLiabilitiesTotalBalance): ?>
                                                            <strong><?php echo e(number_format(abs($CurrentLiabilitiesTotalBalance), session('branch')->currency_decimal)); ?></strong>
                                                        <?php endif; ?>
                                                    </td>
                                                </tr>
                                           </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                                        <table id="" class="table table-bordered nowrap"
                                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                                <tr class="td-drak-bg mb-5">
                                                    <th colspan="3"><strong>Assets</strong></th>
                                                </tr>
                                            </thead>
                                           <tbody>
                                            <?php $__currentLoopData = $FixedAssetsMergedAccountDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FixedAssetsMergedAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($FixedAssetsMergedAccount['accoun_name']); ?></td>
                                                    <td><?php echo e(number_format(abs($FixedAssetsMergedAccount['DebitBalance']), session('branch')->currency_decimal)); ?></td>
                                                    <td><?php echo e(number_format(abs($FixedAssetsMergedAccount['CreditBalance']), session('branch')->currency_decimal)); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <?php
                                                    $FixedAssetsBalance = $FixedAssetsTotalDebit - $FixedAssetsTotalCredit;
                                                ?>
                                                <td><strong></strong></td>
                                                <td><strong>
                                                    <?php if($FixedAssetsBalance): ?>
                                                        <?php echo e(number_format(abs($FixedAssetsBalance), session('branch')->currency_decimal)); ?>

                                                    <?php endif; ?>
                                                </strong></td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <td>Closing Stock</td>
                                                <td><?php echo e(number_format(abs($allClosingStock), session('branch')->currency_decimal)); ?></td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <?php
                                                    $AdvanceTotalBalance = $AdvanceTotalDebit - $AdvanceTotalCredit;
                                                ?>
                                                <td>Advance</td>
                                                <td><?php echo e(number_format(abs($AdvanceTotalBalance), session('branch')->currency_decimal)); ?></td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <?php
                                                    $sundryDebtorsBalance = $sundryDebtorsTotalDebit - $sundryDebtorsTotalCredit;
                                                ?>
                                                <td>Sundry Debtors</td>
                                                <td><?php echo e(number_format(abs($sundryDebtorsBalance), session('branch')->currency_decimal)); ?></td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <?php
                                                    $cashInHandBalance = $debitCashReportCB - $creditCashReportCB;
                                                ?>
                                                <td>Cash in Hand</td>
                                                <td><?php echo e(number_format($cashInHandBalance, session('branch')->currency_decimal)); ?></td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <?php
                                                    $bankAccountBalance = $bankAccountTotalDebit - $bankAccountTotalCredit;
                                                ?>
                                                <td>Bank Account</td>
                                                <td><?php echo e(number_format($bankAccountBalance, session('branch')->currency_decimal)); ?></td>
                                                <td></td>
                                            </tr>
                                            <tr class="td-drak-bg mb-5">
                                                <?php
                                                    $CurrentAssetsTotalBalance = $allClosingStock + $AdvanceTotalBalance + $sundryDebtorsBalance + $cashInHandBalance + $bankAccountBalance;
                                                ?>
                                                <td><strong>Current Assets</strong></td>
                                                <td></td>
                                                <td><strong><?php echo e(number_format($CurrentAssetsTotalBalance, session('branch')->currency_decimal)); ?></strong></td>
                                            </tr>
                                            <tr>
                                                <td>Opening Balance</td>
                                                <td>
                                                    <?php if($ProfitAndLossLedgerReportDebitCB
                                                    ): ?>
                                                        <strong><?php echo e(number_format($ProfitAndLossLedgerReportDebitCB, session('branch')->currency_decimal)); ?></strong>
                                                    <?php endif; ?>
                                                </td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <td>Current Period</td>
                                                <td>
                                                    <?php if($netProfit): ?>
                                                        <strong><?php echo e(number_format($netProfit, session('branch')->currency_decimal)); ?></strong>
                                                    <?php endif; ?>
                                                </td>
                                                <td></td>
                                            </tr>
                                            <?php
                                                $ProfitAndLossAccountTotal = $ProfitAndLossLedgerReportDebitCB + $netProfit;
                                            ?>
                                            <tr class="td-drak-bg mb-5">
                                                <td colspan="2"><strong>Profit & Loss A/C</strong></td>
                                                <td><strong><?php echo e(number_format($ProfitAndLossAccountTotal, session('branch')->currency_decimal)); ?></strong></td>
                                            </tr>
                                           </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                                        <table id="" class="table table-bordered nowrap"
                                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                           <tbody>
                                            <?php

                                                $balanceSheetAssetsSideTotalDifference =0;
                                                $balanceSheetLibilitiesSideTotalDifference =0;

                                                $bSLibilitiesTotal = $CapitalAccountBalance + $loansTotalBalance + $CurrentLiabilitiesTotalBalance;
                                                $bSAssetsTotal = $CurrentAssetsTotalBalance + $ProfitAndLossAccountTotal;

                                                $balanceSheetLibilitiesSideTotal = abs($bSLibilitiesTotal);
                                                $balanceSheetAssetsSideTotal = $bSAssetsTotal;
                                            ?>
                                            <?php
                                            // $balanceSheetLibilitiesSideTotal = 89836849;
                                            // $balanceSheetAssetsSideTotal = 89833628;

                                            // Calculate the difference between liabilities and assets
                                            $balanceSheetAssetsSideTotalDifference = $balanceSheetLibilitiesSideTotal - $balanceSheetAssetsSideTotal;

                                            // Distribute the difference between assets and liabilities to balance them
                                            if ($balanceSheetAssetsSideTotalDifference > 0) {
                                                // There's a surplus in liabilities, distribute it to assets
                                                $balanceSheetAssetsSideTotal += $balanceSheetAssetsSideTotalDifference;
                                            } elseif ($balanceSheetAssetsSideTotalDifference < 0) {
                                                // There's a surplus in assets, distribute it to liabilities
                                                $balanceSheetLibilitiesSideTotal -= $balanceSheetAssetsSideTotalDifference;
                                            }
                                            ?>

                                            <tr class="td-drak-bg">
                                                    <td><strong>
                                                        <?php if($balanceSheetLibilitiesSideTotalDifference): ?>
                                                            Balance Difference
                                                        <?php endif; ?>
                                                    </strong></td>
                                                    <td style="width: 180px"></td>
                                                    <td style="width: 180px"></td>
                                                    <td>
                                                        <?php if($balanceSheetLibilitiesSideTotalDifference): ?>
                                                            <?php echo e(number_format($balanceSheetLibilitiesSideTotalDifference, session('branch')->currency_decimal)); ?>

                                                        <?php endif; ?>
                                                    </td>
                                                <td><strong>
                                                    <?php if($balanceSheetAssetsSideTotalDifference): ?>
                                                        Balance Difference
                                                    <?php endif; ?>
                                                </strong></td>
                                                <td style="width: 180px"></td>
                                                <td style="width: 180px"></td>
                                                <td>
                                                    <?php if($balanceSheetAssetsSideTotalDifference): ?>
                                                        <?php echo e(number_format($balanceSheetAssetsSideTotalDifference, session('branch')->currency_decimal)); ?>

                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                            <tr class="td-drak-bg">
                                                <td><strong>Total</strong></td>
                                                <td style="width: 180px"></td>
                                                <td style="width: 180px"></td>
                                                <td><?php echo e(number_format($balanceSheetAssetsSideTotal, session('branch')->currency_decimal)); ?></td>
                                                <td><strong>Total</strong></td>
                                                <td style="width: 180px"></td>
                                                <td style="width: 180px"></td>
                                                <td><?php echo e(number_format($balanceSheetLibilitiesSideTotal, session('branch')->currency_decimal)); ?></td>
                                            </tr>



                                           </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    document.addEventListener("DOMContentLoaded", function() {
        var detailsViews = document.querySelectorAll(".detailsView");

        detailsViews.forEach(function(detailsView) {
            detailsView.style.display = "none";
        });
    });

    function myFunction() {
        var dropdown = document.getElementById("myDropdown");
        var detailsViews = document.querySelectorAll(".detailsView");

        if (dropdown.value === "hide") {
            detailsViews.forEach(function(detailsView) {
                detailsView.style.display = "none";
            });
        } else {
            detailsViews.forEach(function(detailsView) {
                detailsView.style.display = "table-row";
            });
        }
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/balance_sheet.blade.php ENDPATH**/ ?>