<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Cash Ledger Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                            </h6>
                            <h6 class="">Date: <span><?php echo e($from_date); ?></span> To <span><?php echo e($to_date); ?></span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>
                            </div>
                            <!-- <a href="client-add-expenses.html">
                                        <button class="btn btn-cust2 float-right" type="submit">
                                            <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                            </button>
                                    </a>
                                    <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                         <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                    </button></a> -->
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div class="row">

                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr class="td-drak-light">
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                        <?php
                                        $debitTotal = 0;
                                        $creditTotal = 0;
                                        $PurchaesInvoiceTotal = 0;
                                        $saleInvoiceTotal = 0;
                                        $CreditNoteTotal = 0;
                                        $DebitNoteTotal = 0;
                                        $QuotationTotal = 0;
                                        $ReceiptVouchersTotal = 0;
                                        $PurchaseOrderTotal = 0;
                                        $PaymentVoucherTotal = 0;
                                        $ReceiptVoucherTotal = 0;
                                        $JournalVoucherTotal = 0;
                                        $PaymentVouchersTotal = 0;
                                        $JournalVoucherTotalForDebit = 0;
                                        $JournalVoucherTotalForCredit = 0;
                                        ?>

                                        <?php if($createDebitObForCash || $createCreditObForCash): ?>
                                        <tr>
                                            <td><?php echo e($cashAccountOpeningDate); ?></td>
                                            <td>Create Opening Balance</td>
                                            <td>
                                                <?php if($createDebitObForCash): ?>
                                                    <strong><?php echo e(number_format($createDebitObForCash, session('branch')->currency_decimal)); ?></strong>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($createCreditObForCash): ?>
                                                    <strong><?php echo e(number_format($createCreditObForCash, session('branch')->currency_decimal)); ?></strong>
                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                    <?php $__currentLoopData = $allData->sortBy('date'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(is_object($data)): ?>
                                    <tr>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\AdminReceiptVoucher): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\AdminPaymentVoucher): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\AdminJournalVoucher): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\Quotation): ?>
                                                <?php echo e($data->date); ?>

                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <span><strong><a href="<?php echo e(route('software.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id])); ?>">Sales#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <span><strong><a href="<?php echo e(route('software.credit_notes.show', ['credit_note' => $data->id])); ?>">Credit Note#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <span><strong><a href="<?php echo e(route('software.debit_notes.show', ['debit_note' => $data->id])); ?>">Debit Note#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminReceiptVoucher): ?>
                                                <span><strong><a href="<?php echo e(route('software.receipt_vouchers.show', ['receipt_voucher' => $data->id])); ?>">Receipt#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminPaymentVoucher): ?>
                                                <span><strong><a href="<?php echo e(route('software.payment_vouchers.show', ['payment_voucher' => $data->id])); ?>">Payment#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <span><strong><a href="<?php echo e(route('software.purchase_invoices.show', ['purchase_invoice' => $data->id])); ?>">Purchase#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminJournalVoucher): ?>
                                                <span><strong><a href="<?php echo e(route('software.journal_vouchers.show', ['journal_voucher' => $data->id])); ?>">Journal#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\Quotation): ?>
                                                <span><strong><a href="<?php echo e(route('software.quotations.show', ['quotation' => $data->id])); ?>">Quatation#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $saleInvoiceTotal += $data->total_net_amount;
                                                ?>
                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $DebitNoteTotal += $data->total_net_amount;
                                                ?>
                                            <?php elseif($data instanceof \App\AdminJournalVoucher && $data->type === 'debit'): ?>
                                                <?php echo e(number_format($data->amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $JournalVoucherTotalForDebit += $data->amount;
                                                ?>
                                            <?php elseif($data instanceof \App\Quotation): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $QuotationTotal += $data->total_net_amount;
                                                ?>
                                            <?php elseif($data instanceof \App\AdminReceiptVoucher): ?>
                                                <?php if(isset($data->mergedExpenses)): ?>
                                                    <?php $__currentLoopData = $data->mergedExpenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e(number_format($expense['total_amount'], session('branch')->currency_decimal)); ?>

                                                        <?php
                                                            $ReceiptVouchersTotal += $expense['total_amount'];
                                                        ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <?php echo e(number_format($data->total_purchase_amount_with_cf, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $PurchaesInvoiceTotal += $data->total_purchase_amount_with_cf;
                                                ?>
                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $CreditNoteTotal += $data->total_net_amount;
                                                ?>
                                            <?php elseif($data instanceof \App\AdminJournalVoucher && $data->type === 'credit'): ?>
                                                <?php echo e(number_format($data->amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $JournalVoucherTotalForCredit += $data->amount;
                                                ?>
                                            <?php elseif($data instanceof \App\AdminPaymentVoucher): ?>
                                                <?php if(isset($data->mergedExpenses)): ?>
                                                    <?php $__currentLoopData = $data->mergedExpenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e(number_format($expense['total_amount'], session('branch')->currency_decimal)); ?>

                                                        <?php
                                                            $PaymentVouchersTotal += $expense['total_amount'];
                                                        ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                    <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        <?php

                                        $debitTotal = $createDebitObForCash + $saleInvoiceTotal + $JournalVoucherTotalForDebit  + $DebitNoteTotal + $QuotationTotal + $ReceiptVouchersTotal ;

                                        $creditTotal = $createCreditObForCash + $PurchaesInvoiceTotal + $PaymentVouchersTotal + $CreditNoteTotal + $JournalVoucherTotalForCredit ;

                                        ?>
                                        <tr >
                                            <td></td>
                                            <td>Opening Balance</td>
                                            <td>
                                                <?php if($DebitopeningBalance): ?>
                                                    <strong><?php echo e(number_format($DebitopeningBalance, session('branch')->currency_decimal)); ?></strong>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($creditOpeningBalance): ?>
                                                    <strong><?php echo e(number_format($creditOpeningBalance, session('branch')->currency_decimal)); ?></strong>
                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                        <tr class="td-drak-bg">
                                            <td></td>
                                            <td><strong>Current Balance</strong></td>
                                            <td><strong><?php echo e(number_format($debitTotal, session('branch')->currency_decimal)); ?></strong></td>
                                            <td><strong><?php echo e(number_format($creditTotal, session('branch')->currency_decimal)); ?></strong></td>
                                        </tr>
                                        <?php

                                        // Closing Balance

                                        $DebitCB = $debitTotal + $DebitopeningBalance;

                                        $CreditCB = $creditTotal + $creditOpeningBalance;

                                        $ClosingBalance = $DebitCB - $CreditCB;

                                        ?>
                                        <tr>
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td><?php echo e($ClosingBalance >= 0 ? number_format($ClosingBalance, session('branch')->currency_decimal) : ''); ?> </td>
                                            <td class="<?php echo e(($ClosingBalance < 0) ? 'text-danger' : ''); ?>"><?php echo e($ClosingBalance < 0 ? number_format(abs($ClosingBalance), session('branch')->currency_decimal) : ''); ?></td>
                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/cash-report.blade.php ENDPATH**/ ?>