@extends('layouts.crusher')
@section('content')




    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Edit Gate Pass Master</h6>
                        </div>
                    </div>
                    <form method="GET" action="{{ route('gatepass_update', $data->id ) }}"  class="outer-repeater">

                        <div data-repeater-list="outer-group" class="outer">
                            <div data-repeater-item class="outer">

                                <div class="row">
                                    <div class="inner-repeater col-md-12 md-12">
                                        <div data-repeater-list="inner-group" class="inner form-group">
                                            <div data-repeater-item class="inner mb-3 row">
                                                <div class="col-md-3 col-3">
                                                    <label>Vehicle Type  :</label>
                                                    <input type="text" name="vehical_type" value="{{ $data->vehical_type }}" class="inner form-control"
                                                        placeholder="Vehicle Type" />
                                                </div>
                                                <div class="col-md-3 col-3">
                                                    <label>CBM :</label>
                                                    <input type="text" name="cbm" value="{{ $data->cbm }}" class="inner form-control"
                                                    placeholder="CBM" />
                                                </div>
                                                
                                                <div class="col-md-3 col-3">
                                                    <label>Item Unit(CBM) :</label>
                                                        <select class="form-control select2" name="item_unit">
                                                            <option>Select Item Unit(CBM)</option>
                                                            <option>Lorem</option>
                                                            <option>Lorem</option>
                                                        </select>
                                                </div>
                                                
                                                <div class="col-md-1 col-1">
                                                    <i data-repeater-delete class="far fa-trash-alt delicon2"></i>
                                                </div>

                                            </div>
                                        </div>
                                        <input data-repeater-create type="button"
                                            class="btn btn-primary inner" value="Add More" />
                                    </div>

                                </div>

                                <button class="btn btn-cust1 float-right" type="submit">Edit Gate Pass</button>

                            </div>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->



    <div class="modal fade bs-example-modal-center1" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-check checkp "></i>
                            <h4 class="card-title font-size-18">Successfully Recorded
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->


    <div class="modal fade bs-example-modal-center2" tabindex="-2" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-times crossp "></i>
                            <h4 class="card-title font-size-18">Submission Failed
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
@endsection
