@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Vat Ledger Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                            </h6>
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                          
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div class="row">

                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr class="td-drak-light">
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $debitTotal = 0;
                                        $creditTotal = 0;
                                        $PurchaesInvoiceTotal = 0;
                                        $saleInvoiceTotal = 0;
                                        $creditNoteInvoiceTotal = 0;
                                        $debitNoteInvoiceTotal = 0;
                                        $PurchaseOrdeTotal = 0;
                                        $QuotationTotal = 0;
                                        ?>
                                      <?php
                                      $ObdebitTotal = 0;
                                      $ObcreditTotal = 0;
                                      $ObPurchaesInvoiceTotal = 0;
                                      $ObsaleInvoiceTotal = 0;
                                      $ObcreditNoteInvoiceTotal = 0;
                                      $ObdebitNoteInvoiceTotal = 0;
                                      $ObPurchaseOrdeTotal = 0;
                                      $ObQuotationTotal = 0;
                                      $ObDebit = 0;
                                      $ObCredit = 0;
                                      foreach ($ObpurchaesInvoiceData as $accountId => $invoices) {
                                          foreach ($invoices as $Pinvoice) {
                                              $ObPurchaesInvoiceTotal += $Pinvoice['total_vat_amount'];
                                          }
                                      }

                                      foreach ($ObsaleInvoiceData as $accountId => $invoices) {
                                          foreach ($invoices as $Iinvoice) {
                                              $ObsaleInvoiceTotal += $Iinvoice['total_vat_amount'];
                                          }
                                      }

                                      foreach ($ObCreditNoteData as $accountId => $invoices) {
                                          foreach ($invoices as $Cinvoice) {
                                              $ObcreditNoteInvoiceTotal += $Cinvoice['total_vat_amount'];
                                          }
                                      }

                                      foreach ($ObDebitNoteData as $accountId => $invoices) {
                                          foreach ($invoices as $Dinvoice) {
                                              $ObdebitNoteInvoiceTotal += $Dinvoice['total_vat_amount'];
                                          }
                                      }

                                      foreach ($ObPurchaseOrderData as $accountId => $invoices) {
                                          foreach ($invoices as $POinvoice) {
                                              $ObPurchaseOrdeTotal += $POinvoice['total_vat_amount'];
                                          }
                                      }

                                      foreach ($ObQuotationData as $accountId => $invoices) {
                                          foreach ($invoices as $Qinvoice) {
                                              $ObQuotationTotal += $Qinvoice['total_vat_amount'];
                                          }
                                      }

                                      $ObdebitTotal =   $ObPurchaesInvoiceTotal + $ObdebitNoteInvoiceTotal + $ObPurchaseOrdeTotal + $ObQuotationTotal;
                                      $ObcreditTotal =   $ObsaleInvoiceTotal  + $ObcreditNoteInvoiceTotal;

                                      if ($ObdebitTotal > $ObcreditTotal) {
                                            $ObDebit = $ObdebitTotal - $ObcreditTotal;
                                        } elseif ($ObdebitTotal < $ObcreditTotal) {
                                            $ObCredit = $ObcreditTotal - $ObdebitTotal;
                                        }

                                        $DebitopeningBalance = $ObDebit;
                                        $creditOpeningBalance = $ObCredit;
                                      ?>


                                        {{-- @if (!empty($purchaesInvoiceData))
                                        @foreach ($purchaesInvoiceData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $invoice['id']]) }}">Puchase#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                    <td><strong>{{ number_format($invoice['total_vat_amount'], session('branch')->currency_decimal) }}</strong></td>
                                                    <td></td>
                                                </tr>
                                                <?php $PurchaesInvoiceTotal += $invoice['total_vat_amount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif

                                        @if (!empty($saleInvoiceData))
                                        @foreach ($saleInvoiceData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $invoice['id']]) }}">Sale#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                            <td></td>
                                                    <td><strong>{{ number_format($invoice['total_vat_amount'], session('branch')->currency_decimal) }}</strong></td>
                                                </tr>
                                                <?php $saleInvoiceTotal += $invoice['total_vat_amount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif

                                        @if (!empty($CreditNoteData))
                                        @foreach ($CreditNoteData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.credit_notes.show', ['credit_note' => $invoice['id']]) }}">Credit Note#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                    <td><strong>{{ number_format($invoice['total_vat_amount'], session('branch')->currency_decimal) }}</strong></td>
                                                    <td></td>
                                                </tr>
                                                <?php $creditNoteInvoiceTotal += $invoice['total_vat_amount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif

                                        @if (!empty($DebitNoteData))
                                        @foreach ($DebitNoteData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.debit_notes.show', ['debit_note' => $invoice['id']]) }}">Debit Note#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                    <td></td>
                                                    <td><strong>{{ number_format($invoice['total_vat_amount'], session('branch')->currency_decimal) }}</strong></td>
                                                </tr>
                                                <?php $debitNoteInvoiceTotal += $invoice['total_vat_amount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif

                                        @if (!empty($PurchaseOrderData))
                                        @foreach ($PurchaseOrderData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.purchase_orders.show', ['purchase_order' => $invoice['id']]) }}">Journal#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                    <td><strong>{{ number_format($invoice['total_vat_amount'], session('branch')->currency_decimal) }}</strong></td>
                                                    <td></td>
                                                </tr>
                                                <?php $PurchaseOrdeTotal += $invoice['total_vat_amount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif

                                        @if (!empty($QuotationData))
                                        @foreach ($QuotationData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.quotations.show', ['quotation' => $invoice['id']]) }}">Journal#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                    <td><strong>{{ number_format($invoice['total_vat_amount'], session('branch')->currency_decimal) }}</strong></td>
                                                    <td></td>
                                                </tr>
                                                <?php $QuotationTotal += $invoice['total_vat_amount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif --}}




                                    @foreach ($allData->sortBy('date') as $data)
                                    @if (is_object($data))
                                    <tr>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ $data->date }}
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                <span><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id]) }}">Sales#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\CreditNote)
                                                <span><strong><a href="{{ route('crusher.credit_notes.show', ['credit_note' => $data->id]) }}">Credit Note#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\DebitNote)
                                                <span><strong><a href="{{ route('crusher.debit_notes.show', ['debit_note' => $data->id]) }}">Debit Note#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                <span><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $data->id]) }}">Purchase#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ number_format($data->total_vat_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $PurchaesInvoiceTotal += $data['total_vat_amount'];
                                                @endphp
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ number_format($data->total_vat_amount, session('branch')->currency_decimal) }}
                                                @php
                                                   $creditNoteInvoiceTotal += $data['total_vat_amount'];
                                                @endphp
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ number_format($data->total_vat_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $saleInvoiceTotal += $data['total_vat_amount'];
                                                @endphp
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ number_format($data->total_vat_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $debitNoteInvoiceTotal += $data['total_vat_amount'];
                                                @endphp
                                            @endif
                                        </td>
                                    </tr>
                                    @endif
                                    @endforeach

                                        <?php

                                        $debitTotal =  $PurchaesInvoiceTotal + $creditNoteInvoiceTotal + $PurchaseOrdeTotal + $QuotationTotal;

                                        $creditTotal = $saleInvoiceTotal + $debitNoteInvoiceTotal;

                                        ?>
                                        <tr class="td-drak-light">
                                            <td></td>
                                            <td>Opening Balance</td>
                                            <td><strong>{{ number_format($DebitopeningBalance, session('branch')->currency_decimal) }}</strong></td>
                                            <td><strong>{{ number_format($creditOpeningBalance, session('branch')->currency_decimal) }}</strong></td>
                                        </tr>
                                        <tr class="td-drak-bg">
                                            <td></td>
                                            <td><strong>Current Balance</strong></td>
                                            <td><strong>{{ number_format($debitTotal, session('branch')->currency_decimal) }}</strong></td>
                                            <td><strong>{{ number_format($creditTotal, session('branch')->currency_decimal) }}</strong></td>
                                        </tr>
                                        <?php
                                        // Closing Balance

                                        $DebitCB = $debitTotal + $DebitopeningBalance;

                                        $CreditCB = $creditTotal + $creditOpeningBalance;

                                        $ClosingBalance = $DebitCB - $CreditCB;

                                        ?>
                                        <tr class="td-drak-light">
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td>{{ $ClosingBalance >= 0 ? number_format($ClosingBalance, session('branch')->currency_decimal) : '' }} </td>
                                            <td>{{ $ClosingBalance < 0 ? number_format(abs($ClosingBalance), session('branch')->currency_decimal) : '' }}</td>
                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
