@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .vcenter {
        margin-left: 38px;
    }

    h2 {
        text-align: center;
        margin-bottom: 20px;
    }
    .top{
        margin-top: 40px;
    }
    .top1{
        margin-top: 20px;
        margin-bottom: 20px
    }


</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    <div class="row" style="margin-bottom: 20px;">
        <a href="/main-menu/users-and-privileges" class="btn btn-primary">Go Back</a>
    </div>
    <div class="row gray-bg">
        <h2><strong>Users and Privileges Master </strong></h2>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            @include('errors.list')
        </div>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            <h3 class="col-md-2"><strong>All Super Users</strong></h3>
        </div>
    </div>

    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover dt-responsive" >
        <thead>
        <tr>
            <th>Name</th>
            <th>Email</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
            @foreach($super_users as $user)
            <tr>
                <td>{{$user->name}}</td>
                <td>{{$user->email}}</td>
                <td>
                    <div class="btn-group">
                        <div class="pull-left" style="margin-right: 10px;">
                            <a href="/main-menu/users-and-privileges/super-admin/{{ $user->id }}/edit" class="btn btn-primary">
                                <i class="fa fa-edit" aria-hidden="true"></i>
                                 Edit Super User</a>
                        </div>
                    </div>
                </td>
            </tr>
            @endforeach
        </tbody>
        </table>
    </div>

</div>
@endsection

@section('js')
<script>
    $('#create_form').validate();

</script>
@endsection
