@extends('layouts.master_user')
@section('page-title')
Remainders
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
 .ibox-title {
    background-color: #efefef;
    border-style: none;
}

</style>

@endsection
@section('others')
active
@endsection
@section('remainders')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        <div class="ibox-content">
            <form  class="form-horizontal"  method="POST" action="/others/remainders">
                @csrf
                <div class="form-group">
                    <div class="col-sm-12">
                        <label>Title </label>
                        <input type="text" class="form-control" id="title" name="title" placeholder="Title" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label>Description</label>
                        <textarea name="description" class="form-control" id="description" cols="30" rows="5" required></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Add Remainder</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
</script>
@endsection
